import { Component, OnInit } from '@angular/core';
import { NavController } from '@ionic/angular';
import { Router } from '@angular/router';



@Component({
  selector: 'app-person',
  templateUrl: './person.page.html',
  styleUrls: ['./person.page.scss'],
})



export class PersonPage  {

  constructor(private navCtrl: NavController,private router: Router) {}

  goToBlankPage() {
    // 导航到空白页面
    console.log('Navigating to Blank page');
  }

  goToSettingPage() {
    this.router.navigate(['/setting']); // 替换成你的 setting 页面路由路径
  }

  goToMailPage() {
    this.router.navigate(['/mail']); // 替换成你的 setting 页面路由路径
  }
}
